import { TourStoreServiceService } from './tour-store-service.service';
import { ApplicationRef, ComponentFactoryResolver, Injector } from '@angular/core';
import Shepherd from 'shepherd.js';
import { FilterFunction, Props, TourStepChange, TourComplete, TourCancel } from '../models';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class TourServiceService {
    private readonly tourStoreService;
    private readonly router;
    private readonly componentFactory;
    private readonly injector;
    private readonly appRef;
    private readonly tourComplete;
    tourComplete$: import("rxjs").Observable<TourComplete>;
    private readonly tourStepChange;
    tourStepChange$: import("rxjs").Observable<TourStepChange>;
    private readonly tourCancel;
    tourCancel$: import("rxjs").Observable<TourCancel>;
    private readonly interval;
    private _maxWaitTime;
    private _exitOnEsc;
    private readonly tourFailed;
    tourFailed$: import("rxjs").Observable<{
        tourId: string;
        message: string;
    }>;
    private tour;
    constructor(tourStoreService: TourStoreServiceService, router: Router, componentFactory: ComponentFactoryResolver, injector: Injector, appRef: ApplicationRef);
    set maxWaitTime(maxTime: number);
    get maxWaitTime(): number;
    set exitOnEsc(esc: boolean);
    get exitOnEsc(): boolean;
    private addRemovedSteps;
    getTour(): Shepherd.Tour;
    private actionAssignment;
    private waitForElement;
    private triggerTour;
    run(tourId: string, params?: {
        [key: string]: string;
    }, props?: Props, filterFn?: FilterFunction, inputs?: object): void;
    private checkComponents;
    private checkElement;
    private getRemovedSteps;
    private getTourSteps;
    private pauseAllVideos;
    setTourComplete(tourId: string, props: Props): void;
    private checkAndThrowError;
    private moveToNextStep;
    private moveToPrevStep;
    private moveToNextStepRemoved;
    private moveToPrevStepRemoved;
    private navigateAndMoveToNextStep;
    private navigateAndMoveToPrevStep;
    private navigateAndMoveToNextStepRemoved;
    private navigateAndMoveToPrevStepRemoved;
    private parseComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourServiceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TourServiceService>;
}
//# sourceMappingURL=tour-service.service.d.ts.map